Get Project Task Usage Report

Aggregate visible Task usage across the project.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.

Query parameters

task_idstringOptionalformat: "uuid"
Filter to a specific task
aggregationenumOptionalDefaults to day
Time bucket granularity. Can be either 'day' or 'week'.
Allowed values:
statusenumOptional
Run outcome filter. Can be ALL, SUCCESS, or FAIL.
Allowed values:

Response

Successful Response
project_idstringformat: "uuid"
The unique identifier of the Project.
date_rangemap from strings to strings
The time range for the report, with start and end timestamps.
aggregationenum
The time interval for data aggregation.
statusenum
Run outcome filter applied to this usage report.
datamap from strings to integers

Visible task-run counts for each aggregation bucket.

total_runsinteger
Total visible task runs across the reporting window.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error